/**
 * @license
 * Copyright 2023 Tyler Technologies, Inc. 
 * License: Apache-2.0
 */
import { BaseComponent, IBaseComponent } from '../core/base/base-component';
export interface IToolbarComponent extends IBaseComponent {
    inverted: boolean;
}
declare global {
    interface HTMLElementTagNameMap {
        'forge-toolbar': IToolbarComponent;
    }
}
/**
 * The web component class behind the `<forge-toolbar>` custom element.
 *
 * @tag forge-toolbar
 */
export declare class ToolbarComponent extends BaseComponent implements IToolbarComponent {
    static get observedAttributes(): string[];
    private _rootElement;
    private _inverted;
    constructor();
    connectedCallback(): void;
    attributeChangedCallback(name: string, oldValue: string, newValue: string): void;
    private _initialize;
    private _setInverted;
    get inverted(): boolean;
    set inverted(value: boolean);
}
